[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[dak/master] Refresh the wnpp bugs list on a daily basis



---
 config/debian/cron.daily |   16 ++++++++++++++++
 config/debian/crontab    |    1 +
 daklib/utils.py          |    2 +-
 3 files changed, 18 insertions(+), 1 deletions(-)
 create mode 100755 config/debian/cron.daily

diff --git a/config/debian/cron.daily b/config/debian/cron.daily
new file mode 100755
index 0000000..aca4cfd
--- /dev/null
+++ b/config/debian/cron.daily
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# Run at the beginning of the month via cron, out of dak's crontab.
+
+set -e
+set -u
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
+. $SCRIPTVARS
+
+################################################################################
+
+
+# get the latest list of wnpp bugs and their source packages
+wget -q -O/srv/ftp-master.debian.org/scripts/masterfiles/wnpp_rm  http://qa.debian.org/data/bts/wnpp_rm
+
+################################################################################
diff --git a/config/debian/crontab b/config/debian/crontab
index 4c0b969..f1bc068 100644
--- a/config/debian/crontab
+++ b/config/debian/crontab
@@ -6,6 +6,7 @@ PATH=/usr/local/bin:/usr/bin:/bin
 52         1,7,13,19  *   *   *   /srv/ftp-master.debian.org/dak/config/debian/cron.dinstall
 #### And an alternate line, for the times the release team wants it half an hour late.
 ####22         2,8,14,20  *   *   *   /srv/ftp-master.debian.org/dak/config/debian/cron.dinstall
+3          9          *   *   *   /srv/ftp-master.debian.org/dak/config/debian/cron.daily
 0          12         *   *   0   /srv/ftp-master.debian.org/dak/config/debian/cron.weekly
 6          0          1   *   *   /srv/ftp-master.debian.org/dak/config/debian/cron.monthly
 @reboot                           /srv/ftp-master.debian.org/dak/config/debian/cron.reboot
diff --git a/daklib/utils.py b/daklib/utils.py
index 27b068e..542ede5 100755
--- a/daklib/utils.py
+++ b/daklib/utils.py
@@ -1539,7 +1539,7 @@ if which_conf_file() != default_config:
 
 ################################################################################
 
-def parse_wnpp_bug_file(file = "/home/tolimar/wnpp-bugs"):
+def parse_wnpp_bug_file(file = "/srv/ftp-master.debian.org/scripts/masterfiles/wnpp_rm"):
     """
     Parses the wnpp bug list available at http://qa.debian.org/data/bts/wnpp_rm
     Well, actually it parsed a local copy, but let's document the source
-- 
1.5.6.5



Reply to: